<template>
  <div class="loading-grid">
    <code>sm</code>
    <ui-loading label="Loading, please wait!" sm />

    <code>default</code>
    <ui-loading label="Loading, please wait!" />

    <code>md</code>
    <ui-loading label="Loading, please wait!" md />

    <code>lg</code>
    <ui-loading label="Loading, please wait!" lg />

    <code>xl</code>
    <ui-loading label="Loading, please wait!" xl />
  </div>
</template>

<style lang="postcss" scoped>
.loading-grid {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

code {
  text-align: center;
}

.ui-loading {
  margin-bottom: 1.5rem;
}

@screen lg {
  .loading-grid {
    display: grid;
    grid-template-columns: repeat(5, minmax(min-content, 1fr));
    grid-template-rows: repeat(2, min-content);
    grid-auto-flow: column;
  }
}
</style>
